CA Workload Automation ESP Edition

Expand all | Collapse all

ESP: Running HTTP jobs where URL Requreis TLS 1.2

Jump to Best Answer
  • 1.  ESP: Running HTTP jobs where URL Requreis TLS 1.2

    Posted 04-17-2018 01:40 PM

    We are running HTTP jobs using an agent with the Application Services plug-in installed.  The team that owns the URLs that are "hit" by the HTTP jobs recently changed the site(s) so that they require TLS1.2.  Now, whenever we run a job against the URL, the job fails with "Received Fatal Alert: handsh" (This  is all I can see in the Job Status as well as the log).

     

    Reviewing the System Agent configuration documentation (specifically the parameters page), I found this:

     

    ftp.ssl.protocol

    Specifies the authentication protocol that is used for FTP. Supported mechanisms are SSL and TLS.

    Default: TLS

     

    However, adding this line did not resolve the problem.  Are there other parameters that we need to add to the agent parm file, or something else I am missing to get this to work properly?

     

    Thanks!

    <JC>



  • 2.  Re: ESP: Running HTTP jobs where URL Requreis TLS 1.2
    Best Answer

    Posted 04-17-2018 01:59 PM

    You need the most recent agent that comes with java 1.8

     

     

     

    Steve C.

     

     

    Nothing in this message is intended to constitute an electronic signature unless a specific statement to the contrary is included in this message.

     

    Confidentiality Note: This message is intended only for the person or entity to which it is addressed. It may contain confidential and/or privileged material. Any review, transmission, dissemination or other use, or taking of any action in reliance upon this message by persons or entities other than the intended recipient is prohibited and may be unlawful. If you received this message in error, please contact the sender and delete it from your computer.



  • 3.  Re: ESP: Running HTTP jobs where URL Requreis TLS 1.2

    Posted 04-17-2018 02:30 PM

    Thanks Steve.  I'll give this a whack and respond back.  Unfortunately we don't own our agents, so we have to get another team to perform the installation.



  • 4.  Re: ESP: Running HTTP jobs where URL Requreis TLS 1.2

    Posted 04-24-2018 09:14 AM

    For the record, this is 11.3.7